using System;

namespace Knot.Modules.Auth.Application.Users.Auth;

public record AuthResponseDto(
    string Token,
    AuthUserDto User
);

public record AuthUserDto(
    Guid Id,
    string Username,
    string DisplayName,
    string? Email,
    string? Bio,
    string? Avatar,
    DateTime? Birthday,
    bool IsOnline,
    DateTime CreatedAt
);

